Lukasdotcom
Repos
17
Followers
4
Following
3

An open source self hosted fantasy manager.

Source code for lschaefer.xyz

1
0

Events

create branch
Lukasdotcom create branch docx
Created at 21 hours ago
pull request closed
Update dependency sqlite3 to 5.1.5 [SECURITY]

Mend Renovate

This PR contains the following updates:

| Package | Change | |---|---| | sqlite3 | 5.1.4 -> 5.1.5 |

GitHub Vulnerability Alerts

CVE-2022-43441

Impact

Due to the underlying implementation of .ToString(), it's possible to execute arbitrary JavaScript, or to achieve a denial-of-service, if a binding parameter is a crafted Object.

Users of sqlite3 v5.0.0 - v5.1.4 are affected by this.

Patches

Fixed in v5.1.5. All users are recommended to upgrade to v5.1.5 or later.

Workarounds

  • Ensure there is sufficient sanitization in the parent application to protect against invalid values being supplied to binding parameters.

References

  • Commit: https://github.com/TryGhost/node-sqlite3/commit/edb1934dd222ae55632e120d8f64552d5191c781

For more information

If you have any questions or comments about this advisory:

Credits: Dave McDaniel of Cisco Talos


Configuration

📅 Schedule: Branch creation - "" (UTC), Automerge - At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] If you want to rebase/retry this PR, check this box

This PR has been generated by Mend Renovate. View repository job log here.

Created at 4 days ago
Lukasdotcom delete branch renovate/sqlite3-5.x
Created at 4 days ago

Update dependency sqlite3 to v5.1.6

Merge pull request #398 from Lukasdotcom/renovate/sqlite3-5.x

Update dependency sqlite3 to v5.1.6

Created at 4 days ago
pull request closed
Update dependency sqlite3 to v5.1.6

Mend Renovate

This PR contains the following updates:

| Package | Change | Age | Adoption | Passing | Confidence | |---|---|---|---|---|---| | sqlite3 | 5.1.4 -> 5.1.6 | age | adoption | passing | confidence |


Release Notes

v5.1.6

Compare Source

What's Changed

New Contributors

Full Changelog: https://github.com/TryGhost/node-sqlite3/compare/v5.1.5...v5.1.6

v5.1.5

Compare Source

What's Changed

Full Changelog: https://github.com/TryGhost/node-sqlite3/compare/v5.1.4...v5.1.5


Configuration

📅 Schedule: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] If you want to rebase/retry this PR, check this box

This PR has been generated by Mend Renovate. View repository job log here.

Created at 4 days ago

Uses more efficent way of using bing api

Created at 1 week ago

Uses more efficent way of using bing api

Created at 1 week ago
pull request opened
Variants

This adds a parameter called variants where you can change the bing chat variant.

Resolves: #14

Created at 1 week ago
create branch
Lukasdotcom create branch variants
Created at 1 week ago
pull request opened
Adds way to get around bing chat limit

If you tell bing chat that it is a search query by passing SearchQuery in message type it will let you ask it unlimited messages. I added an optional parameter to change the messageType. Now you can run the following to be able to ask unlimited questions. This is also based on #18.

const res = await api.sendMessage('Write a 500 word essay on frogs.', {messageType: 'SearchQuery'})
Created at 1 week ago

Adds way to get around chat limit

Created at 1 week ago

Adds way to get around chat limit

Created at 1 week ago
Created at 1 week ago
Lukasdotcom delete branch renovate/eslint-8.x
Created at 1 week ago

Update dependency eslint to v8.36.0

Merge pull request #397 from Lukasdotcom/renovate/eslint-8.x

Update dependency eslint to v8.36.0

Created at 1 week ago
pull request closed
Update dependency eslint to v8.36.0

Mend Renovate

This PR contains the following updates:

| Package | Change | Age | Adoption | Passing | Confidence | |---|---|---|---|---|---| | eslint (source) | 8.35.0 -> 8.36.0 | age | adoption | passing | confidence |


Release Notes

v8.36.0

Compare Source

Features

Bug Fixes

  • 92c1943 fix: correctly iterate files matched by glob patterns (#​16831) (Nitin Kumar)

Documentation

  • b98fdd4 docs: Update README (GitHub Actions Bot)
  • caf08ce docs: fix estree link in custom formatters docs (#​16967) (Milos Djermanovic)
  • 3398431 docs: Custom Parsers cleanup/expansion (#​16887) (Ben Perlmutter)
  • 19d3531 docs: Update README (GitHub Actions Bot)
  • b09a512 docs: detect and fix broken links (#​16837) (Nitin Kumar)

Chores


Configuration

📅 Schedule: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] If you want to rebase/retry this PR, check this box

This PR has been generated by Mend Renovate. View repository job log here.

Created at 1 week ago

fix bing

Created at 2 weeks ago
Created at 2 weeks ago
pull request opened
Adds webp support

Currently cryptpad does not support webp. This commit adds webp support.

Created at 2 weeks ago

Adds webp support

Created at 2 weeks ago

Adds webp support

Created at 2 weeks ago

Adds webp support

Created at 2 weeks ago
Created at 2 weeks ago
Lukasdotcom delete branch renovate/node-18.x
Created at 2 weeks ago

Update dependency @types/node to v18.14.6

Merge pull request #395 from Lukasdotcom/renovate/node-18.x

Update dependency @types/node to v18.14.6

Created at 2 weeks ago
pull request closed
Update dependency @types/node to v18.14.6

Mend Renovate

This PR contains the following updates:

| Package | Change | Age | Adoption | Passing | Confidence | |---|---|---|---|---|---| | @types/node (source) | 18.14.4 -> 18.14.6 | age | adoption | passing | confidence |


Configuration

📅 Schedule: Branch creation - At any time (no schedule defined), Automerge - At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • [ ] If you want to rebase/retry this PR, check this box

This PR has been generated by Mend Renovate. View repository job log here.

Created at 2 weeks ago

Uses better way to search bing AI

Created at 3 weeks ago

Adds picture button to headless

Removes pycache

update .gitignore

Created at 3 weeks ago
Lukasdotcom delete branch renovate/node-18.x
Created at 3 weeks ago